<?php
	require_once(ABSPATH.'wp-admin/includes/media.php');
	require_once(ABSPATH.'wp-admin/includes/file.php');
	require_once(ABSPATH.'wp-admin/includes/image.php');
	
	
	
	add_action('admin_post_ckrd_plugins_parameters', 'ckrd_plugins_parameters');
	add_action('admin_post_nopriv_ckrd_plugins_parameters', 'ckrd_plugins_parameters');
	function ckrd_plugins_parameters(){
		
		global $wpdb;
		
		$tablename = $wpdb->prefix."cookiehint_parameters";
		$arr       = [];
		
		if(isset($_POST['action']) && !empty($_POST['action']) && $_POST['action'] == 'ckrd_plugins_parameters'){
			
			$data_tables = [
				'id'                      => sanitize_text_field($_POST['idd']),
				'datenschutzlink'         => esc_url_raw($_POST['datenschutzlink-input']),
				'impressumlink'           => esc_url_raw($_POST['impressumlink-input']),
				'ablehnung_options'       => sanitize_text_field($_POST['ablehnung-options']),
				'ablehnung_redirect'      => esc_url_raw($_POST['redirectlink-input']),
				'cookieblocker'           => sanitize_text_field($_POST['cookieblocker']),
				'content_security_policy' => stripslashes(sanitize_textarea_field ($_POST['content-security-policy-input'])),
				'modus'                   => sanitize_text_field($_POST['radio_params_cookiemode']),
				'tage_modus'              => sanitize_text_field($_POST['tage-modus-input']),
				'position'                => sanitize_text_field($_POST['position']),
				'css_style'               => sanitize_text_field($_POST['css-options']),
				'html_php_code'           => sanitize_text_field($_POST['html-php-options']),
			];
			
			$id = $data_tables['id'];
			
			$query  = "SELECT count(*) as count FROM ".$tablename." WHERE id='".$id."'";
			$record = $wpdb->get_results($query);
			
			if($record[0]->count == 0){
				$count_insert = $wpdb->insert($tablename, $data_tables);
			}else{
				$count_update = $wpdb->update($tablename, $data_tables, ['id' => $id]);
			}
		}
		wp_redirect(admin_url('admin.php?page=cookiehint-wp'));
		die;
	}